# Add test data to the database tables.
# Be sure to create the records in the right order 
# so they satisfy the database's referential constraints.

########
# Zips #
########
INSERT INTO Zips VALUES ('80100');
INSERT INTO Zips VALUES ('80101');
INSERT INTO Zips VALUES ('80102');
INSERT INTO Zips VALUES ('80103');
INSERT INTO Zips VALUES ('80356');
INSERT INTO Zips VALUES ('80357');
INSERT INTO Zips VALUES ('80361');
INSERT INTO Zips VALUES ('80362');

##########
# States #
##########
INSERT INTO STATES VALUES ('CO', 'Colorado');
INSERT INTO STATES VALUES ('WY', 'Wyoming');
INSERT INTO STATES VALUES ('KS', 'Kansas');

##########
# Cities #
##########
INSERT INTO Cities VALUES ('Bugsville');
INSERT INTO Cities VALUES ('Temper City');
INSERT INTO Cities VALUES ('Abend Bend');
INSERT INTO Cities VALUES ('Looper Lake');

################
# AddressTypes #
################
INSERT INTO AddressTypes VALUES ('Mailing');
INSERT INTO AddressTypes VALUES ('Billing');
INSERT INTO AddressTypes VALUES ('Receiving');
INSERT INTO AddressTypes VALUES ('Contracts');

#############
# DateTypes #
#############
INSERT INTO DateTypes VALUES ('Ordered');
INSERT INTO DateTypes VALUES ('Shipped');
INSERT INTO DateTypes VALUES ('Billed');
INSERT INTO DateTypes VALUES ('Paid');
INSERT INTO DateTypes VALUES ('Warned');
INSERT INTO DateTypes VALUES ('Suspended');

####################
# Main Data Tables #
####################
#############
# Inventory #
#############
INSERT INTO Inventory (QuantityInStock, Description, UnitPrice)                  # ItemNumber = 1
    VALUES (1000, 'Pencil, #2, box of 20', 1.00);
INSERT INTO Inventory (QuantityInStock, Description, UnitPrice)                  # ItemNumber = 2
    VALUES (7, 'Computer, Pentium 4, 900 MHz', 2750.95);
INSERT INTO Inventory (QuantityInStock, Description, UnitPrice)                  # ItemNumber = 3
    VALUES (13, 'Paper, 20# white, ream', 6.95);
INSERT INTO Inventory (QuantityInStock, Description, UnitPrice)                  # ItemNumber = 4
    VALUES (126, 'CD-RW disks, each', 0.75);
INSERT INTO Inventory (QuantityInStock, Description, UnitPrice)                  # ItemNumber = 5
    VALUES (14, 'Essential programming library (10 books)', 425.00);

#########
# Users #
#########
INSERT INTO Users VALUES ('RodStephens', 'Rod', 'Stephens');
INSERT INTO Users VALUES ('Cobe', 'Cobe', 'Cats');
INSERT INTO Users VALUES ('Snort', 'Snortimer', 'Canid');

#############
# Customers #
#############
INSERT INTO Customers (CustomerName) VALUES ('Pete''s Programming Palace');      # CustomerId = 1
INSERT INTO Customers (CustomerName) VALUES ('Alice''s Custom Software');        # CustomerId = 2
INSERT INTO Customers (CustomerName) VALUES ('Rocky Mountain Coastal Software'); # CustomerId = 3

#####################
# CustomerAddresses #
#####################
# Customer 1.
INSERT INTO CustomerAddresses VALUES (1, 'Mailing', '1234 Pete''s Street', 'Bugsville', 'CO', '80100');
INSERT INTO CustomerAddresses VALUES (1, 'Billing', '1234 Pete''s Street', 'Bugsville', 'CO', '80100');
INSERT INTO CustomerAddresses VALUES (1, 'Receiving', '1234 Pete''s Street', 'Bugsville', 'CO', '80100');

# Customer 2.
INSERT INTO CustomerAddresses VALUES (2, 'Mailing', '387 Ash Ave, Suite 652', 'Abend Bend', 'WY', '80357');

# Customer 3.
INSERT INTO CustomerAddresses VALUES (3, 'Mailing', '1 Rocky Mountain Pl', 'Looper Lake', 'KS', '80362');
INSERT INTO CustomerAddresses VALUES (3, 'Billing', '1 Rocky Mountain Pl, Attn: Billing', 'Looper Lake', 'KS', '80362');
INSERT INTO CustomerAddresses VALUES (3, 'Receiving', '2 Rocky Mountain Pl', 'Looper Lake', 'KS', '80362');

##################
# CustomerOrders #
##################
# Customer 1.
INSERT INTO CustomerOrders (CustomerId, ContactName, InvoiceNumber, EnteredByUser) # OrderId = 1
    VALUES (1, 'Carl Contact', '2002-A33', 'RodStephens');
INSERT INTO CustomerOrders (CustomerId, ContactName, InvoiceNumber, EnteredByUser) # OrderId = 2
    VALUES (1, NULL, '2002-A87', 'Cobe');
INSERT INTO CustomerOrders (CustomerId, ContactName, InvoiceNumber, EnteredByUser) # OrderId = 3
    VALUES (1, 'Penelope Purchaser', '2002-C192', 'Cobe');

# Customer 2.
INSERT INTO CustomerOrders (CustomerId, ContactName, InvoiceNumber, EnteredByUser) # OrderId = 4
    VALUES (2, NULL, NULL, 'RodStephens');

# Customer 3.
INSERT INTO CustomerOrders (CustomerId, ContactName, InvoiceNumber, EnteredByUser) # OrderId = 5
    VALUES (3, 'Barb Buyers', NULL, 'Snort');
INSERT INTO CustomerOrders (CustomerId, ContactName, InvoiceNumber, EnteredByUser) # OrderId = 6
    VALUES (3, 'Barb Buyers', NULL, 'Snort');

##############
# OrderItems #
##############
# (OrderId, ItemNumber, QuantityOrdered)
# Order 1.
INSERT INTO OrderItems VALUES (1, 1, 4);
INSERT INTO OrderItems VALUES (1, 3, 1);
INSERT INTO OrderItems VALUES (1, 4, 25);

# Order 2.
INSERT INTO OrderItems VALUES (2, 2, 1);

# Order 3.
INSERT INTO OrderItems VALUES (3, 1, 10);
INSERT INTO OrderItems VALUES (3, 5, 2);
INSERT INTO OrderItems VALUES (3, 4, 50);

# Order 4.
INSERT INTO OrderItems VALUES (4, 4, 100);
INSERT INTO OrderItems VALUES (4, 2, 1);

# Order 5.
INSERT INTO OrderItems VALUES (5, 1, 1);
INSERT INTO OrderItems VALUES (5, 2, 1);
INSERT INTO OrderItems VALUES (5, 3, 1);
INSERT INTO OrderItems VALUES (5, 4, 1);
INSERT INTO OrderItems VALUES (5, 5, 1);

# Order 6.
# No records for this one to see what happens.

##############
# OrderDates #
##############
# (OrderId, DateType, DateValue)
# Order 1.
INSERT INTO OrderDates VALUES (1, 'Ordered',   '14:57 11-JUN-2002');
INSERT INTO OrderDates VALUES (1, 'Shipped',   '17:12 12-JUN-2002');
INSERT INTO OrderDates VALUES (1, 'Billed',    '07:15 13-JUN-2002');
INSERT INTO OrderDates VALUES (1, 'Paid',      '11:32  2-JUL-2002');

# Order 2.
INSERT INTO OrderDates VALUES (2, 'Ordered',   '08:47  3-AUG-2002');
INSERT INTO OrderDates VALUES (2, 'Shipped',   '18:03  3-AUG-2002');
INSERT INTO OrderDates VALUES (2, 'Billed',    '07:06  4-AUG-2002');

# Order 3.
INSERT INTO OrderDates VALUES (3, 'Ordered',   '13:38  2-SEP-2002');

# Order 4.
INSERT INTO OrderDates VALUES (4, 'Ordered',   '10:37  7-MAY-2002');
INSERT INTO OrderDates VALUES (4, 'Shipped',   '15:28  9-MAY-2002');
INSERT INTO OrderDates VALUES (4, 'Billed',    '16:02  9-MAY-2002');
INSERT INTO OrderDates VALUES (4, 'Warned',    '09:32 10-JUN-2002');
INSERT INTO OrderDates VALUES (4, 'Suspended', '09:07 17-JUN-2002');

# Order 5.
INSERT INTO OrderDates VALUES (5, 'Ordered',   '09:00 23-MAY-2002');
INSERT INTO OrderDates VALUES (5, 'Shipped',   '14:10 23-MAY-2002');
INSERT INTO OrderDates VALUES (5, 'Billed',    '14:45 23-MAY-2002');
INSERT INTO OrderDates VALUES (5, 'Paid',      '07:56 27-MAY-2002');

# Order 6.
INSERT INTO OrderDates VALUES (6, 'Ordered',   '09:39  3-SEP-2002');
